VST 3 Examples: PitchNamesDataBrowserSource Class Reference
Author: Steinberg

VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
PitchNamesDataBrowserSource Class Reference

`#include <pitchnamesdatabrowsersource.h>`

Inheritance diagram for PitchNamesDataBrowserSource:

## Public Member Functions
| PitchNamesDataBrowserSource (Steinberg::Vst::EditControllerEx1 *editController, Steinberg::Vst::UnitID unitID)
| ~PitchNamesDataBrowserSource ()
int32_t | dbGetNumRows (CDataBrowser *browser) SMTG_OVERRIDE
int32_t | dbGetNumColumns (CDataBrowser *browser) SMTG_OVERRIDE
bool | dbGetColumnDescription (int32_t index, CCoord &minWidth, CCoord &maxWidth, CDataBrowser *browser) SMTG_OVERRIDE
CCoord | dbGetCurrentColumnWidth (int32_t index, CDataBrowser *browser) SMTG_OVERRIDE
void | dbSetCurrentColumnWidth (int32_t index, const CCoord &width, CDataBrowser *browser) SMTG_OVERRIDE
CCoord | dbGetRowHeight (CDataBrowser *browser) SMTG_OVERRIDE
bool | dbGetLineWidthAndColor (CCoord &width, CColor &color, CDataBrowser *browser) SMTG_OVERRIDE
void | dbDrawHeader (CDrawContext *context, const CRect &size, int32_t column, int32_t flags, CDataBrowser *browser) SMTG_OVERRIDE
void | dbDrawCell (CDrawContext *context, const CRect &size, int32_t row, int32_t column, int32_t flags, CDataBrowser *browser) SMTG_OVERRIDE
CMouseEventResult | dbOnMouseDown (const CPoint &where, const CButtonState &buttons, int32_t row, int32_t column, CDataBrowser *browser) SMTG_OVERRIDE
CMouseEventResult | dbOnMouseMoved (const CPoint &where, const CButtonState &buttons, int32_t row, int32_t column, CDataBrowser *browser) SMTG_OVERRIDE
CMouseEventResult | dbOnMouseUp (const CPoint &where, const CButtonState &buttons, int32_t row, int32_t column, CDataBrowser *browser) SMTG_OVERRIDE
void | dbSelectionChanged (CDataBrowser *browser) SMTG_OVERRIDE
void | dbCellTextChanged (int32_t row, int32_t column, UTF8StringPtr newText, CDataBrowser *browser) SMTG_OVERRIDE
void | dbCellSetupTextEdit (int32_t row, int32_t column, CTextEdit *textEditControl, CDataBrowser *browser) SMTG_OVERRIDE
int32_t | dbOnKeyDown (const VstKeyCode &key, CDataBrowser *browser) SMTG_OVERRIDE

## Protected Member Functions
void | getPitchName (int16_t pitch, std::string &name)

## Protected Attributes
Steinberg::Vst::ProgramListWithPitchNames * | pitchnames

## Constructor & Destructor Documentation

PitchNamesDataBrowserSource | ( | Steinberg::Vst::EditControllerEx1 * | editController,
|  | Steinberg::Vst::UnitID | unitID
| ) |  |

~PitchNamesDataBrowserSource | ( |  | ) |

## Member Function Documentation

int32_t dbGetNumRows | ( | CDataBrowser * | browser | ) |

int32_t dbGetNumColumns | ( | CDataBrowser * | browser | ) |

bool dbGetColumnDescription | ( | int32_t | index,
|  | CCoord & | minWidth,
|  | CCoord & | maxWidth,
|  | CDataBrowser * | browser
| ) |  |

CCoord dbGetCurrentColumnWidth | ( | int32_t | index,
|  | CDataBrowser * | browser
| ) |  |

void dbSetCurrentColumnWidth | ( | int32_t | index,
|  | const CCoord & | width,
|  | CDataBrowser * | browser
| ) |  |

CCoord dbGetRowHeight | ( | CDataBrowser * | browser | ) |

bool dbGetLineWidthAndColor | ( | CCoord & | width,
|  | CColor & | color,
|  | CDataBrowser * | browser
| ) |  |

void dbDrawHeader | ( | CDrawContext * | context,
|  | const CRect & | size,
|  | int32_t | column,
|  | int32_t | flags,
|  | CDataBrowser * | browser
| ) |  |

void dbDrawCell | ( | CDrawContext * | context,
|  | const CRect & | size,
|  | int32_t | row,
|  | int32_t | column,
|  | int32_t | flags,
|  | CDataBrowser * | browser
| ) |  |

CMouseEventResult dbOnMouseDown | ( | const CPoint & | where,
|  | const CButtonState & | buttons,
|  | int32_t | row,
|  | int32_t | column,
|  | CDataBrowser * | browser
| ) |  |

CMouseEventResult dbOnMouseMoved | ( | const CPoint & | where,
|  | const CButtonState & | buttons,
|  | int32_t | row,
|  | int32_t | column,
|  | CDataBrowser * | browser
| ) |  |

CMouseEventResult dbOnMouseUp | ( | const CPoint & | where,
|  | const CButtonState & | buttons,
|  | int32_t | row,
|  | int32_t | column,
|  | CDataBrowser * | browser
| ) |  |

void dbSelectionChanged | ( | CDataBrowser * | browser | ) |

void dbCellTextChanged | ( | int32_t | row,
|  | int32_t | column,
|  | UTF8StringPtr | newText,
|  | CDataBrowser * | browser
| ) |  |

void dbCellSetupTextEdit | ( | int32_t | row,
|  | int32_t | column,
|  | CTextEdit * | textEditControl,
|  | CDataBrowser * | browser
| ) |  |

int32_t dbOnKeyDown | ( | const VstKeyCode & | key,
|  | CDataBrowser * | browser
| ) |  |

void getPitchName | ( | int16_t | pitch,
|  | std::string & | name
| ) |  |
| protected

## Member Data Documentation

Steinberg::Vst::ProgramListWithPitchNames* pitchnames
| protected

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.